Subject: RE: [hackers-il] Re: Re: Another Interesting Case Study: Permutat ions of a range of characters

From: Omer Musaev <[email-masked]>
Date: Tue, 15 Jan 2002 14:48:09 +0200

> I usually use just -Wall, so I did not encounter it. Are there any -W
> flags that are not usually included in -Wall that can be of use to
> help detect pesky bugs?

Yes there are many of those, you can man gcc for full list. 
I believe in compilers barfing at you as much as possible, so that
your runtime will be safer.

My favorite barf-baits are:

-W              -- a stripped down lint functionality, utterly verbose.
-Wcast-align    |
-Wcast-qual     -- will find out possible conditions for bus errors.

-Wwrite-strings -- will find out one possible cause for segfaults. 

However, since most of my development is done on Solaris SunWSpro, 
it is possible that my techniques of squeezing out all interesting 
warnings out of gcc are wrong.

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/